List contents
Return a paginated list of your published content.List contents
GET https://your-community.zapnito.com/api/v1/contents
Get content
Return a single piece of content.string
required
The ID or slug of the content.
string
The URL-encoded DOI, if one has been allocated to the content.
Get content
GET https://your-community.zapnito.com/api/v1/contents/:id
Publish content
Publish a draft or scheduled piece of content. This endpoint doesn’t accept apublished_at date and time. Zapnito sets published_at to the time it receives the request.
string
required
The ID or slug of the content.
Publish content
POST https://your-community.zapnito.com/api/v1/contents/:id/publish
Unpublish content
Move a published piece of content back to draft.string
required
The ID or slug of the content.
Unpublish content
POST https://your-community.zapnito.com/api/v1/contents/:id/unpublish
Schedule content
Schedule a piece of content to be published at a future time.string
required
The ID or slug of the content.
string
required
When to publish the content, as an ISO 8601 formatted string, for example
2026-03-10T09:00:00Z.Schedule content
POST https://your-community.zapnito.com/api/v1/contents/:id/schedule

